Instalando o Macromedia Flash no Linux

Publicado por Anderson de Assis de Souza em 03/01/2007

[ Hits: 13.261 ]

 


Instalando o Macromedia Flash no Linux



Dica para instalar o plugin do Macromedia Flash no Linux.

Faça download do Macromedia Flash no link:
Caso já não esteja usando, mude para usuário root, você pode usar o comando "su -", depois digite a senha de root.

Descompacte o arquivo com o comando:

# tar -zxvf install_flash_player_7_linux.tar.gz

O diretório "install_flash_player_7_linux" será criado. Entre no diretório.

Agora já estando dentro do diretório execute o script.

# ./flashplayer-installer

O script rodará, uma mensagem irá aparecer na tela, tecle ENTER.

Se estiver com algum browser (navegador) aberto será pedido para fecha-lo, e depois teclar ENTER.

Em seguida será pedido para informar o diretório de instalação do navegador que você deseja instalar o plugin do flash, escolha um navegador instalado no computador (Konqueror, Firefox, Opera).

No caso do Mozilla Firefox, provavelmente deve ser o diretório "/usr/lib/firefox", no Opera o diretório deve ser "/usr/lib/opera". Dependendo a sua distribuição, os diretórios podem mudar.

Digite o diretório correspondente e tecle ENTER.

Em seguida será feita a pergunta para confirmar a instalação.

("Proceed with the installation? (y/n/q):")

Informe "y" (sim) e tecle ENTER.

A instalação será feita. Outra pergunta aparecerá em tela:

"Perform another installation? (y/n):"

Caso queria instalar o plugin para outro navegador, informe "y" e tecle ENTER. Caso contrário informe "n" e ENTER.

Caso informe "y" o script volta para o inicio no ponto que você informa o caminho da instalação do navegador. Ou seja você irá repetir os procedimentos para cada navegador instalado no computador.

E assim estará feito.

OK. Espero que gostem da dica.

Outras dicas deste autor

Problema: programa não roda fora do Kylix

Problemas ao compilar o MPlayer no Slackware Linux 12.1

Pesquisando arquivos pelo seu conteúdo em modo texto

Programação Kylix: Informações do menu na barra de status

Criando log de erro para seus programas Kylix

Leitura recomendada

Multi-toque no Ubuntu

Deixar as janelas transparentes usando Compiz

Configurando somente o básico do Grub2

Configurando sem mistérios o discador KPPP

Resolvendo o problema de autenticação no wvdial

  

Comentários
[1] Comentário enviado por freedom_system em 12/03/2007 - 11:14h

Cara não consegui instalar dar o mesmo erro mesmo sendo Your architecture, \'x86_64\', is not supported by the
Macromedia Flash Player installer.
Não estou conseguindo de jeito nenhum instalar este plugins.

[2] Comentário enviado por M4iir1c10 em 10/12/2007 - 19:20h

Caro Freedomsystem, segundo o site da Adobe ....

"The following lists the the supported processors and minimum system requirements needed to install Macromedia Flash Player 7 on a Linux computer. Please confirm that your Linux configuration is supported before installing Flash Player.
Processors
Supported Processors

* 32-bit - x86 chipset

Currently unsupported Linux Processors

* 64-bit processor
* PowerPC processor

Linux minimum requirements

* Linux kernel - 2.4.19
* glibc 2.2.5
* XFree86-4.3.0
* gtk any version
* gcc any version"

O player que eles criaram para o Linux so e suportado pelo processador x86_32 ( todos 32bits intel e AMD ) enquanto o x86_64 (AMD e intel) e o PPC (Machintosh) nao sao suportados ainda... Mais se voce quiser uma alternativa pode pular do 7 para o 9 embora o 9 e apenas uma versao beta...

Quando voce baixar o 9 ele tem 3 arquivos o plugin e oque importa para voce ele esta em:
Flash_player_9_linux_dev.tar.gz descompacte e entre em /flash_player_9_linux_dev/plugin/debugger/install_flash_player_9_linux.tar.gz
ao descompactar o segundo tar.gz "install_flash_player_9_linux.tar.gz" execute o install_flash_player_9_linux/flashplayer-installer

Para baixar a versao 9 para Linux clique nesse link:

http://download.macromedia.com/pub/flashplayer/updaters/9/flash_player_9_linux_dev.tar.gz

Falou!

[3] Comentário enviado por sabotender em 25/01/2008 - 16:08h

Olá Anderson.
O 9 também não funciona, enquanto a Adobe nada fizer em relação aos 64 bits, ficaremos a ver navios em relação a esta tecnologia.

Resultado obtido aqui:

linux:~/Desktop/flash_player_9_linux_dev/plugin/debugger/install_flash_player_9_linux$ ./flashplayer-installer

ERROR: Your architecture, \'x86_64\', is not supported by the
Adobe Flash Player installer.

$

Abraços.

[4] Comentário enviado por light_storm em 14/03/2008 - 09:54h

Caramba!!! curti muito a dica ja nao aguentava mais ter que ficar na dependencia do windows para fazer qualque tipo de animacoes

[5] Comentário enviado por QuestLoder em 27/02/2009 - 20:23h

Anderson valeu pela força,

Somente descompactei o arquivo, e joguei o arquivo libflashplayer.so, dentro da pasta /usr/lib/opera/plugin
Fechei o navegador e abri novamente,.

Teste o teste e funcionou certinho.....
Agora vou aponsetar a raposa.....


Agora vou de Opera mesmo.....heheeeh



Valeu te mais.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts